Data Fields

# UpVal Struct Reference

`#include <lua/lobject.h>`

Collaboration diagram for UpVal:
[legend]

## Data Fields
GCObject * | next
lu_byte | tt
lu_byte | marked
TValue * | v
union {
TValue value
struct {
struct UpVal * prev
struct UpVal * next
} l
} | u

## Detailed Description

Definition at line 274 of file lobject.h.

## Field Documentation

struct { ... } UpVal::l

Referenced by lua_newstate(), luaF_findupval(), remarkupvals(), and unlinkupval().

lu_byte UpVal::marked

Definition at line 275 of file lobject.h.

Referenced by luaF_findupval().

GCObject* UpVal::next

Definition at line 275 of file lobject.h.

Referenced by luaF_close(), and luaF_findupval().

struct UpVal* UpVal::next

Definition at line 281 of file lobject.h.

struct UpVal* UpVal::prev

Definition at line 280 of file lobject.h.

lu_byte UpVal::tt

Definition at line 275 of file lobject.h.

Referenced by luaF_findupval().

union { ... } UpVal::u

Referenced by lua_newstate(), luaF_close(), luaF_findupval(), luaF_freeupval(), luaF_newupval(), reallymarkobject(), remarkupvals(), and unlinkupval().

TValue* UpVal::v

Definition at line 276 of file lobject.h.

Referenced by aux_upvalue(), luaC_linkupval(), luaF_close(), luaF_findupval(), luaF_freeupval(), luaF_newupval(), luaV_execute(), reallymarkobject(), and remarkupvals().

TValue UpVal::value

Definition at line 278 of file lobject.h.

Referenced by luaF_close(), luaF_findupval(), luaF_freeupval(), luaF_newupval(), and reallymarkobject().

The documentation for this struct was generated from the following file:

- lua/lobject.h